<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <section name="D365Connector" type="System.Configuration.NameValueSectionHandler" />
    <section name="NavConnector" type="System.Configuration.NameValueSectionHandler" />
    <section name="AxConnector" type="System.Configuration.NameValueSectionHandler" />
    <section name="PerfionConnector" type="System.Configuration.NameValueSectionHandler" />
    <section name="ConnectorTestTool" type="System.Configuration.NameValueSectionHandler" />
  </configSections>

  <D365Connector>
    <add key="D365Url" value="" />
    <add key="ActiveDirectoryResource" value="" />
    <add key="ActiveDirectoryTenant" value="" />
    <add key="ActiveDirectoryClientAppId" value="" />
    <add key="ActiveDirectoryClientAppSecret" value="" />
    <add key="CompanyName" value="" />
  </D365Connector>

  <AxConnector>
    <add key="AxVersion" value="2012" />
    <add key="BindingType" value="BasicHttpBinding" />
    <add key="CompanyName" value="" />
    <add key="UserName" value="" />
    <add key="Password" value="" />
    <add key="Domain" value="" />
    <add key="AxEndpoint" value="" />
  </AxConnector>

  <NavConnector>
	<add key="NavEndpoint" value="" />
	<!-- Valid options for ClientCredentialType are: Default, Ntlm, Windows, Basic, OAuth, S2S -->
	<add key="ClientCredentialType" value="OAuth" />
	<!-- Options for Not OAuth mode and for Not S2S mode -->
	<add key="UserName" value="" />
	<add key="Password" value="" />
	<add key="Domain" value="" />
	<!-- Set IgnoreCertificateWarnings to true for https endpoints using self-signed or untrusted certificates. Useful for testing. Should be avoided in production. -->
	<add key="IgnoreCertificateWarnings" value="True" />
	<!-- Options for OAuth mode or S2S mode -->
	<add key="TenantId" value="" />
	<add key="ClientId" value="" />
	<add key="ClientSecret" value="" />
	<add key="EnableOAuthLog" value="false" />
	<add key="Port" value="" /><!-- Optional, port number from azure App registration Authenticaion Redirect Uri with a value like: http://localhost:Port -->
  </NavConnector>

  <ConnectorTestTool>
    <add key="TargetEnvironmentLabel" value="DEV" />
    <!-- Use a Hex value like ff0000 for Red or 00ff00 for Green or ffff00 for yellow. Or leave empty for defaults. -->
    <add key="TargetEnvironmentTextColor" value="fff" />
    <add key="TargetEnvironmentBackgroundColor" value="ff0000" />
  </ConnectorTestTool>

  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <probing privatePath="Connectors" />
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-12.0.0.0" newVersion="12.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="EPPlus" publicKeyToken="ea159fdaa78159a1" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.5.3.1" newVersion="4.5.3.1" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Runtime.CompilerServices.Unsafe" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-5.0.0.0" newVersion="5.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="HtmlAgilityPack" publicKeyToken="bd319b19eaf3b43a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-1.11.28.0" newVersion="1.11.28.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Identity.Client" publicKeyToken="0a613f4dd989e8ae" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.46.2.0" newVersion="4.46.2.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.ServiceModel.Http" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.9.0.0" newVersion="4.9.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.ServiceModel.Primitives" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.9.0.0" newVersion="4.9.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Security.Cryptography.ProtectedData" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.6.2" />
  </startup>
</configuration>